/*

Theme Name: X – Child Theme 3DVerkstan
Theme URI: https://theme.co/x/
Author: Themeco
Author URI: https://theme.co/
Description: Make all of your modifications to X in this child theme.
Version: 1.0.0
Template: x

*/


/* Body Background */
.x-boxed-layout-active .site, .x-boxed-layout-active .x-site { background-color: #FAFAFA !important; }

/* Logo fix */
.masthead .x-brand.img {
    width: 160px !important;
    margin: 5px;
}
@media screen and (max-width: 979px) {
	.masthead .x-brand.img { width: 160px; }
}


/* Theme Update Override */

/* Headings */
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 { font-weight: 600 !important; margin-top: .5em;  }
h1, .h1, h1.h-custom-headline { font-size: 240%; margin-top: .5em; }
h2, .h2 { font-size: 200%; }
h3, .h3 { font-size: 160%; }
h4, .h4 { font-size: 140%; }
h6, .h6 { font-size: 120%; }
h6, .h6 { font-size: 100%; }


/* Breadcrumb */
.x-breadcrumb-wrap { font-size: 12px; }

/* Buttons */
body.page .x-btn.x-btn-regular, body.page .x-btn-block, body.page .x-btn.x-btn-large {
    width: fit-content !important;
    margin: 0 auto 0.85em auto !important;
    display: block !important;
    color: white !important;
}
.x-btn, .button, [type="submit"], a.button { text-transform: uppercase; color: white !important; font-size: 90%; font-weight: 900;  }


/* Masthead */
body .flex-control-nav.flex-control-thumbs img { max-width: 100px; }
body .masthead .x-brand.img { width: 180px; }



/* === HEADER & NAVIGATION === */

/* Topbar */
div.x-topbar {
    position: relative;
    min-height: 0;
    border-bottom: none;
    background-color: #ec6624 !important;
	text-align: center;
	padding: 5px 20px !important;
	display: flex !important;
	margin-bottom: 5px;
}
.x-topbar .p-info {
    float: none !important;
    padding: 2px !important;
    font-size: 0.7em !important;
    font-weight: 800 !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
	color: black !important;
	margin: 0 !important;
}
.x-topbar .p-info a {
	color: white !important;
	display: inline-block;
	margin: 0 10px;
	padding: 4px 14px;
	background: #2f3844;
	border: none !important;
}
.x-topbar .p-info a:hover {
	background: black!important;
}
.x-topbar .x-social-global { display: none; }

/* Ubermenu Adjustments */
body .ubermenu-main .ubermenu-nav .ubermenu-item.ubermenu-item-level-0 > .ubermenu-target { padding: 15px; }
body .ubermenu-main .ubermenu-nav .ubermenu-item.ubermenu-item-level-0.ubermenu-has-submenu-drop > .ubermenu-target { padding: 15px 20px; }
/*body .ubermenu .ubermenu-target-text { color: #2f3844; }*/
body .ubermenu .ubermenu-item.ubermenu-item-24507 > .ubermenu-target { color: initial; }
body .ubermenu-nav .nav-button { padding-right: 10px; border-radius: 4px; }
body .ubermenu-skin-minimal { font-size: 13px; }
.ubermenu-nav a.dgwt-wcas-search-icon { color: initial; }
.ubermenu-nav a.dgwt-wcas-search-icon:hover { color: #e0650c; }
body .ubermenu-nav li.menu-item-22345 a { color: initial; }
body .ubermenu-nav li.menu-item-22345 a:hover { color: #e0650c; }
body .ubermenu .ubermenu-nav .ubermenu-column-1-4 { width: 24%; }
body .ubermenu .ubermenu-nav .ubermenu-column-3-4 { width: 73%; }

/* Contact Button in Primary Nav */
li.nav-button { background-color:#2f3844!important; }
li.nav-button > a { color:white !important; }
li.nav-button:hover { background-color:#e0650c!important; }

/* === Fibo Search Adjustments === */
/* Fibo Navbar */
body .ubermenu-nav div.dgwt-wcas-search-wrapp { display: inline-block; padding-bottom: 12px; }

.dgwt-wcas-ico-magnifier, .dgwt-wcas-ico-magnifier-handler {
    font-size: 18px;
    line-height: 18px;
    height: 18px;
}

/* Fibo Extra details Sidebar */
.dgwt-wcas-details-outside .dgwt-wcas-details-wrapp { width: 400px; max-width: 400px !important; }


/* Fibo Add to cart button */
.dgwt-wcas-pd-addtc-form > .quantity { margin-bottom: 0; }

/* Fibo sidebar background image */
.dgwt-wcas-details-main-image { background: #F7F7F7; }
.dgwt-wcas-details-main-image img { 
/*	object-fit: cover; 
	width: 100%;*/
	max-height: 200px; 
}


/* === PAGE STYLES === */
body.page #x-section-1 { text-align: center; }
.x-framework-icon:only-child, .x-btn-navbar>.x-framework-icon { margin-right: 5px; }


/* === WOOCOMMERCE ARCHIVE === */
body.woocommerce .x-container.offset { margin-top: 25px; }
.woocommerce-loop-category__title { font-size: 120%; text-align: center; margin: .4em .2em; }
[class*=woocommerce] li.product .entry-header h3 { font-size: 120% !important; }
[class*=woocommerce] li.product .entry-header .price>.amount, [class*=woocommerce] li.product .entry-header .price>ins>.amount, .woocommerce .price > .amount, .woocommerce .price > ins > .amount, .woocommerce .star-rating:before, .woocommerce .star-rating span:before, .woocommerce li.product .entry-header h3 a:hover { font-weight: 600; }
[class*=woocommerce] .entry-wrap { padding: 20px !important; }

body .eacs-product-carousel.eacs-product-overlay .woocommerce li.product .entry-header .price > .amount, .woocommerce li.product .entry-header .price > ins > .amount { color: #EC6624 !important; }

div.price-incl del { text-decoration: none !important; }
div.price-incl del bdi { font-size: 80%; margin-right: 10px; font-style: italic; color: black; text-decoration: line-through; } /* Sale price strike-through */
div.price-incl ins { text-decoration: none !important; } /* Product price */



/* Add to cart button on shop archive */
.woocommerce li.product .entry-header .button {
    display: inherit !important;
}


/* === WOOCOMMERCE PRODUCT === */
/* Right Column */
/*body.woocommerce div.product .summary { width: 38%; }*/
/* On sale Badge */
/*.woocommerce .onsale, .widget_price_filter .ui-slider .ui-slider-range { top: 30px; left: 30px; }*/


/* Product Price/Amount (inclusive of VAT) */
.price-incl .woocommerce-Price-amount { color: #e0650c; font-weight: bold; }
body.wp-singular .entry-summary .price-incl .woocommerce-Price-amount {
	font-size: 24px;
}

/* Product shadow */
body .entry-wrap { box-shadow: none; background-color: transparent; }
li.product-category h2 { font-size: 100%; }


/* Remove category header */
/*article.post .entry-featured { display: none}*/
body.archive header.x-header-landmark { display: none; }
.woocommerce-loop-category__title mark { display: none; }

/* Category columns */
ul.products.columns-3, ul.products.columns-4 { display: flex; flex-wrap: wrap; }


/* Woo Gallery settings */
.flex-control-nav.flex-control-thumbs img { height: auto; }
.flex-control-nav { position: unset; }
.flex-control-nav.flex-control-thumbs li { background-color: transparent; margin-top: 0.25rem; box-shadow: none;  }

/* Woo Gallery Hide Previous/Next */
.flex-direction-nav { display: none; }

.stock { font-weight: bold; text-align: left; }
.stock.in-stock { color: green; }
.stock.out-of-stock { color: red; }

/* Woo Product Tabs */
.x-nav-tabs>li>a { color: black; font-size: 120%; }

[class*=woocommerce] .upsells, [class*=woocommerce] .related, [class*=woocommerce] .cross-sells { padding: 30px 0; }

/* === WOOCOMMERCE CART === */
body.woocommerce-cart .x-container { margin-top: 0; }
.wc-proceed-to-checkout a.button { font-size: 120%; }
[class*=woocommerce] .cart.shop_table thead { display: contents; }
table.cart { margin-top: 20px !important; }
table.cart th, table.cart td {
    border-top: 1px solid #ddd !important;
}



/* === WOOCOMMERCE CHECKOUT === */
body.woocommerce-checkout .x-container.offset { margin-top: 10px; }

.woocommerce-account form h3, .woocommerce-checkout form h3 {  margin-top: 0; }
/*p#billing_phone_field { width: 100%; }*/
p.woocommerce-shipping-destination { font-weight: 800; color: #EC6624; font-size: 120%; }

ul.woocommerce-SavedPaymentMethods { margin: 0 !important; }
ul.woocommerce-SavedPaymentMethods li { list-style: none; }

.woocommerce-checkout form .payment_methods label { padding-left: 0 !important; }
ul.wc_payment_methods > li > label:first-of-type { font-weight: bold; color: #EC6624; cursor: pointer; font-size: 105%; }
ul.wc_payment_methods > li > label:first-of-type:hover { color: #2f3844; }
.woocommerce-account form .payment_methods p, .woocommerce-checkout form .payment_methods p { font-size: revert !important; }
.woocommerce-account form input[type=radio], .woocommerce-account form input[type=checkbox], .woocommerce-checkout form input[type=radio], .woocommerce-checkout form input[type=checkbox] { margin-right: 5px; }

/* Woo Checkout Form */
.woocommerce-variation-add-to-cart, .summary .cart { display: flex; align-items: center; justify-content: left; column-gap: 0.5rem; }
.woocommerce-variation-add-to-cart .quantity,  .summary .cart .quantity { margin-bottom: 0; }
.woocommerce-variation-add-to-cart .quantity input,  .summary .cart .quantity input { height: 3em !important; }
form.checkout .select2-container .select2-selection--single { display: grid; }

/* Order fields */
.woocommerce-ordering select, .woocommerce-result-count, .aws-container .aws-search-field, .wc-block-product-categories__dropdown select { font-size: 14px !important; }


/* Woo Checkout Item Variation */
dl.variation { display: flex; column-gap: 0.3rem; align-items: center; } 
dl.variation dd { padding-right: 0.3rem; } 
.cart_item .product-name { width: 50%; }
.woo-variation-swatches .variable-items-wrapper { justify-content: center; }

/* Woo Checkout Terms and Conditions */
.woocommerce-terms-and-conditions-checkbox-text { font-weight: bold; cursor: pointer; }

/* Remove Stripe Pay with Link from Product Page */
body.single-product #wc-stripe-express-checkout-element { display: none !important; }


/* === WOOCOMMERCE ORDER DETAILS === */
section.woocommerce-order-details p { margin-top: 5px !important; margin-bottom: 10px !important; }
section.woocommerce-customer-details { margin-top: 50px; }
.woocommerce-table.woocommerce-table--custom-fields tr td:first-child { width: 41%; }
button.wc-order-proposal-reject-button, button.wc-order-proposal-pay-button { margin-bottom: 20px !important; }
button.wc-order-proposal-accept-button { margin-right: 20px !important; margin-bottom: 20px !important; }

/* === WOOCOMMERCE ORDER PAY === */
body.woocommerce-order-pay {}

/* === WOOCOMMERCE MY ACCOUNT === */
#customer_login.u-columns.col2-set { display: flex !important; flex-direction: row-reverse !important; justify-content: flex-end; column-gap: 20px; }
body.woocommerce-account .u-column1, body.woocommerce-account .u-column2 { width: 48%; }
.woocommerce-account .u-column2 { margin-right: 2%; } 
.woocommerce-account .x-container.offset { margin-top: 0; }
.woocommerce-MyAccount-navigation-link a { color: #e0650c !important; }
.woocommerce-MyAccount-navigation-link a:hover, .woocommerce-MyAccount-navigation-link.is-active a { color: white !important; background-color: #e0650c !important; }

.woocommerce-orders-table__cell-order-actions { display: flex; gap: 5px; }
.woocommerce-orders-table__cell-order-actions a.woocommerce-button { font-size: 12px; background-color: #e0650c; border-color: #e0650c00; }
.woocommerce-orders-table__cell-order-actions a.view, .woocommerce-orders-table__cell-order-actions a.view:hover {
    background-color: #e0650c;
    padding: 0.6em 1.2em 0.6em 1.2em;
    color: white !important;
    border-color: #e0650c00;
    text-shadow: 0 0.075em 0.075em rgba(0, 0, 0, 0.5);
    border-radius: 0.25em;
	text-decoration: none;
	text-transform: uppercase;
	font-weight: 300;
	font-size: 12px !important;
}
.woocommerce-orders-table__cell-order-actions a.woocommerce-button:hover, .woocommerce-orders-table__cell-order-actions a.view:hover { background: #2f3844; }

.woocommerce-button.button.return { margin-top: 0 !important; }


/* === WOOCOMMERCE Message === */
.woocommerce-message a, .woocommerce-Message a, .woocommerce-error a, .woocommerce-info a { text-decoration: none !important; }
.woocommerce-message { 
	display: flex;
    align-items: center;
    justify-content: space-between;
}
.woocommerce-message .button, .woocommerce-Message .button {
    padding: 10px;
    float: right;
    color: white;
    box-shadow: none;
	text-shadow: none;
	background-color: #2f3844;
}
body .woocommerce-message .button, body .woocommerce-Message .button {
    padding: 10px;
    color: white;
    box-shadow: none;
	text-shadow: none;
	background-color: #101010;
}
body .woocommerce-message .button:hover, body .woocommerce-Message .button:hover {
	padding: 10px;
	background-color: #df640c;
}

/* Discount Code / Link in Message */
.woocommerce-message a, .woocommerce-Message a, .woocommerce-error a, .woocommerce-info a, .woocommerce-message a:hover, .woocommerce-Message a:hover, .woocommerce-error a:hover, .woocommerce-info a:hover {
    color: #df640c;
    text-decoration: none;
}
.x-alert-danger, .buddypress #message.error, .bbp-template-notice.error, .woocommerce-error { color: black; font-size: 16px; }


/* === WIDGETS === */

/* Widget Block */
.x-sidebar .widget { margin-top: 30px; }
.widget ul, .widget ol { background-color: white; }

/* Widget font */
.widget_best_sellers ul li a, .widget_shopping_cart ul li a, .widget_products ul li a, .widget_featured_products ul li a, .widget_onsale ul li a, .widget_random_products ul li a, .widget_recently_viewed_products ul li a, .widget_recent_products ul li a, .widget_recent_reviews ul li a, .widget_top_rated_products ul li a { font-size: 110% !important; }

/* Widget heading text replace */
div.wcpf-price-slider span.text, div.wcpf-checkbox span.text {
    visibility: hidden;
    position: relative;
}
div.wcpf-price-slider span.text:after, div.wcpf-checkbox span.text:after {
    visibility: visible;
    position: absolute;
    top: 0;
    left: 0;
}
.wcpf-field-button .wcpf-button { background-color: buttonface; color: black; }

div.wcpf-price-slider span.text:after {content: "Pris";}

div.wcpf-checkbox span.text:after { content: "Kategorier"; }

/* Widget border */
.wcpf-layout-item.wcpf-box-style .wcpf-heading-label .box-toggle, .wcpf-field-item.wcpf-box-style .wcpf-heading-label .box-toggle, .wcpf-field-text-list .wcpf-text-list .wcpf-text-item .wcpf-text-label, .wcpf-front-element.wcpf-hierarchical-collapsed .wcpf-item-hierarchical-collapsed .box-item-toggle { border: none; }

/* Widget category */
.wc-block-product-categories__dropdown select { margin: 0; }

.x-navbar .menu-item:hover .sub-menu .menu-item .sub-menu {
	display: none !important;
}

.x-navbar .menu-item:hover .sub-menu .menu-item:hover .sub-menu {
	display: block !important;
}

.woocommerce-info {
	font-size: 1em;
    font-weight: bold;
	display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
.h-widget { font-size: 90%; }

.product_list_widget span.woocommerce-Price-amount { color: #e0650c; }


/* === FOOTER === */
footer a { color: white; font-weight: 600; }
footer a:hover { color: #df640c; }
footer.x-colophon.top { padding: 60px 0 40px 0; }
footer.x-colophon.top, footer.x-colophon.bottom { background: #262626; border: none !important; box-shadow: none; color: #bcbcbc; }
footer .x-social-global { margin-top: 20px; }
footer.x-colophon .box-social { font-size: 28px; margin-right: 12px; }
footer.x-colophon .widget { margin-top: 0.5rem !important; text-shadow: none !important; line-height: 2.2rem; }
footer.x-colophon .widget p.agreement { line-height: 1.5rem; }
footer .widget_media_image { max-width: 170px; }
footer .h-widget { margin:0; }
footer h4.h-widget { margin: 5px 0 15px 0; color: #bcbcbc; text-transform: uppercase; font-size: 20px; letter-spacing: 1px; }
footer .widget_text .h-widget:before { content: none;  }
footer .widget p:last-child, footer .widget p { margin-bottom: 0.85rem; }
footer.x-colophon.bottom .x-nav li a { text-transform: capitalize; font-weight: 300;  }
footer.x-colophon.bottom { font-size: 14px; padding-bottom: 20px; }
footer i.x-icon { margin-right: 5px; } 
body.page footer .x-btn-block { margin: 0 !important; }


@media screen and (max-width: 979px) {
	body.woocommerce #menu-item-23130 {
		display: block!important;
   }

p.meta-single .author {display:none;}
.meta-single p.meta.date {
    margin-left: 0;
}

.hs-cta-wrapper .hs-cta-node a.cta_button:hover {
  color: #000000!important;
}
#customer_login.u-columns.col2-set { flex-direction: column-reverse !important; }
body.woocommerce-account .u-column1, body.woocommerce-account .u-column2 { width: 100% !important; padding: 0; }
}

@media (min-width: 768px) {
 body.woocommerce-checkout .col2-set {
        width: 48%;
        float: left;
        margin-right: 4%;
    }
 #order_review_heading, #order_review {
        width: 48%;
        float: right;
        margin-right: 0;
        clear: right;
    }
body.woocommerce-order-pay #order_review_heading, body.woocommerce-order-pay  #order_review { width: 100%; }
}
